# StarterGui

StarterGui : `Instance`

## Overview

플레이어의 화면에 표시할 ScreenGui 등 UI 요소를 보관하는 보관하는 기본 GUI 컨테이너입니다.

게임에서 플레이어의 캐릭터가 생성될 때 마다, StarterGui에 포함된 UI 요소들은 해당 플레이어의 PlayerGui로 복사되어 화면에 표시됩니다. 이때, 이전에 복사되어 있던 UI는 모두 제거된 후 새롭게 적용됩니다.

또한 StarterGui는 조이스틱, 점프버튼 등 CoreGui를 제어하는 기능도 제공합니다.

## Properties

## Methods

### GetCoreGuiEnabled

지정된 CoreGui의 표시 여부를 반환합니다.

#### Parameters

| `Enum.CoreGuiType` CoreGuiType | 대상 CoreGui입니다. |
| ------------------------------ | -------------- |

#### Return

| `boolean` | 지정된 CoreGui의 표시 여부입니다. |
| --------- | ---------------------- |

#### Code Samples

```lua
local StarterGui = game:GetService("StarterGui")

local IsJoystickEnabled = StarterGui:GetCoreGuiEnabled(Enum.CoreGuiType.Joystick)
print(IsJoystickEnabled)
```

### SetCoreGuiEnabled

지정된 CoreGui의 표시 여부를 설정합니다.

#### Parameters

| `Enum.CoreGuiType` CoreGuiType | 대상 CoreGui입니다. |
| ------------------------------ | -------------- |
| `boolean` Enabled              | 표시 여부입니다.      |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

```lua
local StarterGui = game:GetService("StarterGui")

StarterGui:SetCoreGuiEnabled(Enum.CoreGuiType.Joystick, false)
```

## Events

## See also

{% content-ref url="/pages/KiXAGwJU8cox0tGXdepn" %}
[모바일 조작 처리](/korean/manual/script-manual/input-and-controls/contextactionservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/startergui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
